Package com.sun.jna.platform.win32

# Class OaIdl.VARIANT_BOOL

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.OaIdl.VARIANT_BOOL

All Implemented Interfaces:
  `NativeMapped`, `Serializable`

Direct Known Subclasses:
  `OaIdl._VARIANT_BOOL`

Enclosing interface:
  OaIdl

public static class OaIdl.VARIANT_BOOL extends IntegerType

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VARIANT_BOOL()`
  `VARIANT_BOOL(boolean value)`
  `VARIANT_BOOL(long value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `booleanValue()`

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SIZE

    public static final int SIZE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VARIANT_BOOL

    public VARIANT_BOOL()

  - ### VARIANT_BOOL

    public VARIANT_BOOL(long value)

  - ### VARIANT_BOOL

    public VARIANT_BOOL(boolean value)

- ## Method Details

  - ### booleanValue

    public boolean booleanValue()